PipeWire: pipewire.c File Reference

PipeWire 0.2.7

Data Structures | Functions
pipewire.c File Reference
Include dependency graph for pipewire.c:

## Data Structures
struct | support_info
struct | interface
struct | registry

## Functions
SPA_EXPORT void * | pw_get_support_interface (const char *type)
| Get a support interface. More...
SPA_EXPORT const struct spa_handle_factory * | pw_get_support_factory (const char *factory_name)
SPA_EXPORT const struct spa_support * | pw_get_support (uint32_t *n_support)
SPA_EXPORT void * | pw_get_spa_dbus (struct pw_loop *loop)
SPA_EXPORT int | pw_release_spa_dbus (void *dbus)
SPA_EXPORT const char * | pw_get_library_version (void)
| Get the currently running version. More...

## Function Documentation

## ◆ pw_get_library_version()

SPA_EXPORT const char* pw_get_library_version | ( | void |  | ) |

Get the currently running version.

Referenced by pw_core::pw_core_new().

## ◆ pw_get_spa_dbus()

SPA_EXPORT void* pw_get_spa_dbus | ( | struct pw_loop * | loop | ) |

Referenced by pw_core::pw_core_new().

Here is the caller graph for this function:

## ◆ pw_get_support()

SPA_EXPORT const struct spa_support* pw_get_support | ( | uint32_t * | n_support | ) |

Referenced by pw_loop::pw_loop_new().

Here is the caller graph for this function:

## ◆ pw_get_support_factory()

SPA_EXPORT const struct spa_handle_factory* pw_get_support_factory | ( | const char * | factory_name | ) |

Referenced by pw_loop::pw_loop_new().

Here is the caller graph for this function:

## ◆ pw_get_support_interface()

SPA_EXPORT void* pw_get_support_interface | ( | const char * | type | ) |

Get a support interface.

Parameters

  type | the interface type

Returns
  the interface or NULL when not configured

Referenced by pw_type::pw_type_init().

Here is the caller graph for this function:

## ◆ pw_release_spa_dbus()

SPA_EXPORT int pw_release_spa_dbus | ( | void * | dbus | ) |

References interface::iface.

Referenced by pw_core::pw_core_destroy().

Here is the caller graph for this function: